apiVersion: v1
data:
  .dockerconfigjson: ewoJImF1dGhzIjogewoJCSJkb2NrZXIuYWRhb25jbG91ZC5jb20iOiB7CgkJCSJhdXRoIjogIlpHOWphMlZ5ZFhObGNqcGxOMEV4WkRsaVJtVTAiCgkJfQoJfQp9
kind: Secret
metadata:
  name: ada-registry
  namespace: frontend-static
type: kubernetes.io/dockerconfigjson
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: static-fe-cm
  namespace: frontend-static
data:
  rclone.conf: |
    # Copy the config entry below in your rclone configuration file.
    # Use 'rclone config file' to find which configuration file rclone uses.
    # You can also use 'rclone --config <file>' directly.
    [OvhObjectStorage]
    type = swift
    env_auth = false
    auth_version = 3
    auth = https://auth.cloud.ovh.net/v3/
    endpoint_type = public
    tenant_domain = default
    tenant = 3302683673846688
    domain = default
    user = user-sAVTpR76zQTG
    key = mZzEE8Zqn48a4kS3bvF9HwzMXrqyyGKh
    region = SBG
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: rclone-configmap
  namespace: frontend-static
data:
  entrypoint.sh: |-
    #!/bin/sh
    rclone sync -v "OvhObjectStorage:static-fe" "/data"